---
title: "Create a board"
url: https://docs.gleap.ai/en/reference/rest-api/create-ticket-type
method: POST
path: "/ticket-types"
api: "API Reference"
tag: "Ticket types"
operationId: "CreateTicketType"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Create a board

`POST https://api.gleap.io/v3/ticket-types`

Create a board. The `type` (stored on tickets) and URL `path` are derived from the name.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Headers

- `project` (string, required)

## Request body (`application/json`, required)

- `name` (string, required)
- `restrictedToUsers` (string[]): Members (user ids) who may see the new board. Leave this and `restrictedToTeams` empty to share the board with everyone. Setting either needs the board permissions right (admins, managers).
- `restrictedToTeams` (string[]): Teams (team ids) whose members may see the new board.

## Example request

```bash
curl --request POST \
  --url https://api.gleap.io/v3/ticket-types \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "<name>"
}'
```

## Responses

### 200 (`application/json`)

Ok
